Bug 1024585 - Original make selection is invalidated when re-select the Entry type
Original make selection is invalidated when re-select the Entry type
Status: CLOSED WONTFIX
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Feng Wang
:
Depends On:
Blocks: 1024158
  Show dependency treegraph
 
Reported: 2013-10-29 22:34 EDT by Huan Zhang
Modified: 2014-06-18 03:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-31 02:15:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huan Zhang 2013-10-29 22:34:26 EDT
When vendor create hardware entry and hardware details, there is a bug when selecting make.

How to reproduce:
1) login in as vendor user(test-user@dell.com)
2) keep entry type with "Create Both"
3) select and input required fields(included a make) in HARDWARE DETAILS section
4) change the "entry type" to "Hardware Specification"
5) input a "Model" as it disappears
6) click CONTINUE button
7) will get an alert "Please select a make" even it already has a make.
Comment 1 Huan Zhang 2013-10-29 22:41:56 EDT
@fwang,

Please have a look at this.
Comment 2 Feng Wang 2013-10-30 02:53:36 EDT
please verify it.
Comment 3 Wei Shen 2013-10-30 03:32:14 EDT
This will not alert now, but the make is not selected and not sent to cgi
Comment 4 Huan Zhang 2013-10-30 04:26:50 EDT
I got the software error this time(using Chrome).

Software error:

Undef to trick_taint at Bugzilla/Util.pm line 62
	Bugzilla::Util::trick_taint('undef') called at Hwcert/HardwareEntry.pm line 41
	Hwcert::HardwareEntry::dupVMMCheck('3com', 'undef', 'sdf') called at /var/www/html/hwcert/post.cgi line 860
For help, please send mail to the webmaster (sysadmin-engops@redhat.com), giving this error message and the time and date of the error.

I suspect that the value of make is not passing to backend.

Note You need to log in before you can comment on or make changes to this bug.